Android: bug di sistema minaccia le vecchie versioni

GiovannaLabati il martedì 27 gennaio 2015 alle 11:20:58

Android: bug di sistema minaccia le vecchie versioni

Passo falso per Google che mette in pericolo i dati degli utenti Android a causa di una falla nei sistemi antecedenti l'uscita di KitKat.

Secondo quanto riportato da un dirigente dell'azienda, Adrian Ludwig, le versioni di Android disponibili prima del rilascio di KitKat, cioè tutte le versioni Jelly Bean, sarebbero minacciate da un bug di sistema che apre una pericolosa falla all'interno del sistema operativo, minacciando così i dati degli utenti. Quel che preoccupa è che Google non ha alcuna intenzione di risolvere la cosa, per cui non sarà rilasciato alcun patch per il fissaggio del bug.

Come ha dichiarato Ludwig: "Mantenere il software aggiornato è una delle più grandi sfide della sicurezza. Poiché l'applicazione del browser è basata su una versione del motore del browser WebKit che è ormai vecchia più di due anni, risolvere la vulnerabilità in Android Jelly Bean e versioni precedenti non è più pratico da fare in modo sicuro". Stiamo parlando di più del 60% dei dispositivi Android, decisamente una bella fetta di utenti.

Come è possibile mettersi al sicuro da eventuali attacchi? La cosa più semplice sarebbe scaricare e installare il nuovo sistema operativo ma, purtroppo, non è possibile perché al momento non tutti i device in circolazione sono in grado di supportalo, specialmente quelli venduti a prezzi accessibili o comunque inferiori rispetto ai nuovi top di gamma. Alcuni tecnici consigliano di utilizzare un browser web diverso da quello installato di default: Google Chrome e Mozilla sembrano essere abbastanza sicuri. Fatto questo, non resta che incrociare le dita.

Foto: © Android.